import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GodexSensorTypeToGeneric Converter")

class GodexSensorTypeToGeneric(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Auto":
			res = "None"
		elif myList[0] == "See-Through":
			res = "Gap"
		elif myList[0] == "Reflective":
			res = "Mark"
		return res




plugin = GodexSensorTypeToGeneric("GodexSensorTypeToGeneric")

store.AddConverter(plugin)